#include <stdint.h>
#include "plc_urv_regs.h"

#define SLOT pins_4

unsigned count;

void
init (void)
{
  volatile struct plc_urv_regs *regs =
    (volatile struct plc_urv_regs *)0x100000;

  regs->relays.SLOT = 0;
  count = 0;
}

void
main (void)
{
  volatile struct plc_urv_regs *regs =
    (volatile struct plc_urv_regs *)0x100000;

  count++;
  if (count == 500000) {
    count = 0;

    unsigned v = regs->loops.SLOT;

    regs->relays.SLOT = v << 1;
  }
}
