# Microsemi Tcl Script
# libero
# Date: Mon Jul 30 12:30:24 2018


new_project -location {./diot_periph_dio} -name {diot_periph_dio} -project_description {} -block_mode 0 -standalone_peripheral_initialization 0 -use_enhanced_constraint_flow 0 -hdl {VHDL} -family {ProASIC3E} -die {A3PE3000} -package {896 FBGA} -speed {STD} -die_voltage {1.5} -part_range {COM} -adv_options {IO_DEFT_STD:LVCMOS 2.5V} -adv_options {RESTRICTPROBEPINS:1} -adv_options {RESTRICTSPIPINS:0} -adv_options {TEMPR:COM} -adv_options {VCCI_1.5_VOLTR:COM} -adv_options {VCCI_1.8_VOLTR:COM} -adv_options {VCCI_2.5_VOLTR:COM} -adv_options {VCCI_3.3_VOLTR:COM} -adv_options {VOLTR:COM} 
import_files \
         -convert_EDN_to_HDL 0 
create_links \
         -convert_EDN_to_HDL 0 \
         -hdl_source {../top/diot_periph_dio/diot_periph_dio.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/common/gc_sync_ffs.vhd}
import_files \
         -convert_EDN_to_HDL 0 
create_links \
         -convert_EDN_to_HDL 0 \
         -pdc {../top/diot_periph_dio/diot_periph_dio.pdc} \
         -sdc {../top/diot_periph_dio/diot_periph_dio.sdc} 
organize_tool_files -tool {SYNTHESIZE} -file {../top/diot_periph_dio/diot_periph_dio.sdc} -module {diot_periph_dio::work} -input_type {constraint} 
organize_tool_files -tool {COMPILE} -file {../top/diot_periph_dio/diot_periph_dio.pdc} -module {diot_periph_dio::work} -input_type {constraint} 
organize_tool_files -tool {COMPILE} -file {../top/diot_periph_dio/diot_periph_dio.pdc} -file {../top/diot_periph_dio/diot_periph_dio.sdc} -module {diot_periph_dio::work} -input_type {constraint} 
save_project 
