# Microsemi Tcl Script
# libero
# Date: Wed Jan 13 18:06:21 2021
# Directory C:\Users\gdaniluk\cernbox\windows_shared\diot-wic\hdl\syn
# File C:\Users\gdaniluk\cernbox\windows_shared\diot-wic\hdl\syn\sb_periph_spi_script.tcl


new_project -location {./sb_periph_spi} -name {sb_periph_spi} -project_description {} -block_mode 0 -standalone_peripheral_initialization 0 -use_enhanced_constraint_flow 0 -hdl {VHDL} -family {ProASIC3E} -die {A3PE3000} -package {896 FBGA} -speed {STD} -die_voltage {1.5} -part_range {COM} -adv_options {IO_DEFT_STD:LVCMOS 2.5V} -adv_options {RESTRICTPROBEPINS:1} -adv_options {RESTRICTSPIPINS:0} -adv_options {TEMPR:COM} -adv_options {VCCI_1.5_VOLTR:COM} -adv_options {VCCI_1.8_VOLTR:COM} -adv_options {VCCI_2.5_VOLTR:COM} -adv_options {VCCI_3.3_VOLTR:COM} -adv_options {VOLTR:COM} 
import_files \
         -convert_EDN_to_HDL 0
create_links \
         -convert_EDN_to_HDL 0 \
         -hdl_source {../ip_cores/general-cores/modules/common/gencores_pkg.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/common/gc_edge_detect.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/common/gc_sync.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/common/gc_sync_ffs.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/genrams/genram_pkg.vhd} \
         -hdl_source {../ip_cores/general-cores/modules/genrams/xilinx/generic_spram.vhd} \
         -hdl_source {../top/sb_periph_spi/sb_periph_spi.vhd} \
         -hdl_source {../rtl/periph_spi/spi_slave_byte.vhd} \
         -hdl_source {../rtl/periph_spi/spi_slave_test.vhd} \
         -pdc {../top/sb_periph_spi/sb_periph_spi.pdc} \
         -sdc {../top/sb_periph_spi/sb_priph_spi.sdc}
set_root -module {sb_periph_spi::work} 
organize_tool_files -tool {SYNTHESIZE} -file {../top/sb_periph_spi/sb_priph_spi.sdc} -module {sb_periph_spi::work} -input_type {constraint} 
organize_tool_files -tool {COMPILE} -file {../top/sb_periph_spi/sb_periph_spi.pdc} -module {sb_periph_spi::work} -input_type {constraint} 
save_project

